# GimpUi.query_size_box

    @accepts(unicode, Gtk.Widget, GimpUi.HelpFunc, unicode, unicode, float, float, float, int, Gimp.Unit, float, bool, GObject.Object, unicode, GimpUi.QuerySizeCallback, gpointer, GLib.DestroyNotify)
    @returns(Gtk.Widget)
    def query_size_box(title, parent, help_func, help_id, message, initial, lower, upper, digits, unit, resolution, dot_for_dot, object, signal, callback, data, data_destroy):
        # Python wrapper for gimp_query_size_box()

Creates a new Gtk.Dialog that queries the user for a size using a GimpUi.SizeEntry.

title

  The query box dialog's title.

parent

  The dialog's parent widget.

help_func

  The help function to show this dialog's help page.

help_id

  A string identifying this dialog's help page.

message

  A string which will be shown above the dialog's entry widget.

initial

  The initial value.

lower

  The lower boundary of the range of possible values.

upper

  The upper boundray of the range of possible values.

digits

  The number of decimal digits the GimpUi.SizeEntry provide in "pixel" mode.

unit

  The unit initially shown by the #GimpUnitMenu.

resolution

  The resolution (in dpi) which will be used for pixel/unit calculations.

dot_for_dot

  True if the #GimpUnitMenu's initial unit should be "pixels".

object

  The object this query box is associated with.

signal

  The object's signal which will cause the query box to be closed.

callback

  The function which will be called when the user selects "OK".

data

  The callback's user data.

data_destroy

  Destroy function for data.

Returns